import { render, screen } from '@testing-library/react';
import { Handlers } from './Handlers';
import { Point } from './types';
describe('The Handlers component ', () => {
  test('Is just an empty div', () => {
    const transformMap = (
      deltaShift: Point | null,
      deltaZoom: number | null,
      zoomCenter: Point | null
    ) => {};
    const { baseElement } = render(<Handlers transformMap={transformMap} />);
    // screen.debug();
    expect(baseElement).toMatchInlineSnapshot(`
<body>
  <div>
    <div
      class="handler"
    />
  </div>
</body>
`);
  });
});
